Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2021 09:29:27 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I received the parcel just now
I have one item ,it was a pair of 2 but received only 1 pc in the set and the other item stain in the cloth.

What is happening to Splash now ?
I was always positive about this online shopping app but now I feel its not same as how it used to be when it was new.
This is the second time I missed 1  item in the pack of set of 2.
And the worst is I received the item with stain .
How can I believe that its a new item ?
And  in such a bad shape that it will take an hour to iron the clothes .
What is happening??
Why the service is not like how it used to be before ? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2299935